Subject: [edu-team] From the edu team -- the kind of "interdomain routing" tutorial we'd like to see

From: Radia Perlman <[email-masked]>
Date: Fri, 28 Mar 2008 21:00:47 -0700

Dave...

I'm glad you volunteered to teach a Sunday afternoon routing tutorial at 
the next IETF. The particular slant
the edu team would like to see is to explain interdomain routing. Not so 
much the particulars
of BGP, but how interdomain works....information that is folklore that 
isn't in the RFCs.

For instance, what is the DFZ and why is it interesting? Who peers with 
whom at what levels?
What types of BGP filters do they use in which directions? What are 
"incompatible
policies"? What types of effects do people need that they want policies for?
How is money done? Is there incentive to be a through carrier from A to 
B because
you get paid money, or is all the through traffic an AS forwards purely 
"community service"?

What controls are in place
to prevent random BGP routes from hitting the DFZ? What types of things 
can (and do)
go wrong with the current system? What hope is there for S-BGP, or 
(forgot the name
of the other security BGP thing, which I think Russ White worked on). 
What are they?

I won't be at the next IETF, but I'd be glad to help you prepare, mostly 
by asking
you questions and reviewing slides. I suspect the result could be turned 
into an excellent
paper for publication somewhere. Again, I'm happy to help in any way I can.

We already have had routing tutorials on link state/distance vector/path 
vector/spanning tree.
(I did that actually). And then we had Geoff Huston do one, where we 
were hoping it would
be along the lines of what I said above, but it was mostly also link 
state/distance/vector/
path vector plus walking through the BGP packet formats.

What we're asking for is really hard, I know, because it's mostly not 
written down, but
it would be really valuable if you could cover at least some of the above.

Thanks,

Radia

_______________________________________________
edu-team mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/edu-team

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 30 Mar 2008 07:57:36 +1300

Incidentally, I had to reach Internet routing in two easy lessons
last year, so I had to think about how to present an overview.
It was clear to me that teaching how BGP works without covering
the issues that Radia mentions is pretty hollow. I'd be glad to
help review this.

    Brian

---

From: David Ward <[email-masked]>
Date: Sat, 29 Mar 2008 18:10:17 -0500

Would both of you be willing to share your material?

-DWard

---

From: Radia Perlman <[email-masked]>
Date: Sat, 29 Mar 2008 17:11:27 -0700

The previous edu tutorials are in theory posted on the edu site 
(edu.ietf.org) which is currently broken. However,
I'm not sure how helpful they'd be. I could send you mine from the last 
time I taught bridging/routing at Sunday afternoon IETF, but as I said, it's
just explaining the protocols, and what's different about layer 2 
forwarding and layer 3 forwarding, which isn't
really what your tutorial will be about.

Someone mentioned John Scudder as someone that would know this stuff.
One possibility is that we have a conference call with some combination 
of people who know this stuff (e.g., John, you, Brian Carpenter)., and
some combination of people who are interested and don't know the stuff 
(me, ...), asking you guys questions, since sometimes
people who "know the stuff" don't realize what is not obvious. I'd be 
happy to take notes afterwards, maybe even prepare
slides (though I hate teaching from someone else's slides so I suspect 
you'd want to actually make your own slides). But I could
at least organize the material and take notes about what content should 
be mentioned for each topic. After said conference call, that is...

Radia

---

From: David Ward <[email-masked]>
Date: Sun, 30 Mar 2008 09:51:52 -0500

No problems. I have given courses back when I was a Prof and can dig  
them out. I don't think a conf call is necessary, I've got a handle  
on the material.

-DWard

On Mar 29, 2008, at 7:11 PM, Radia Perlman wrote:

> I'm not sure how helpful they'd be. I could send you mine from the  
> last time I taught bridging/routing at Sunday afternoon IETF, but  
> as I said, it's
> One possibility is that we have a conference call with some  
> combination of people who know this stuff (e.g., John, you, Brian  
> Carpenter)., and
> some combination of people who are interested and don't know the  
> stuff (me, ...), asking you guys questions, since sometimes
> people who "know the stuff" don't realize what is not obvious. I'd  
> be happy to take notes afterwards, maybe even prepare
> slides (though I hate teaching from someone else's slides so I  
> suspect you'd want to actually make your own slides). But I could
> at least organize the material and take notes about what content  
> should be mentioned for each topic. After said conference call,  
> that is...
>
> Radia
>
>
>
> David Ward wrote:

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 31 Mar 2008 09:47:25 +1300

You're welcome to look at the slides I used, but you definitely
won't learn anything except how little I actually know about
routing.

http://www.cs.auckland.ac.nz/compsci314s2t/lectures/314s2-22-routing.pdf
The IDR stuff starts at slide 44. The plug for Radia's book
is on the last slide ;-)

What struck me while trying to squeeze all this into two hours
was that the sort of background material Radia mentions is
really essential to a proper understanding of BGP. Just
understanding the algorithms and packet formats isn't enough.

   Brian